LibreOffice: XTextAppend Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XTextAppend Interface Reference

is a meta-interface for manipulating and inserting text. More...

`import "XTextAppend.idl";`

Inheritance diagram for XTextAppend:

## Exported Interfaces
interface | com::sun::star::text::XText
interface | com::sun::star::text::XParagraphAppend
interface | com::sun::star::text::XTextPortionAppend

## Additional Inherited Members
Public Member Functions inherited from XText
void | insertTextContent ([in] com::sun::star::text::XTextRange xRange, [in] com::sun::star::text::XTextContent xContent, [in] boolean bAbsorb) raises ( com::sun::star::lang::IllegalArgumentException )
| inserts a content, such as a text table, text frame or text field.
void | removeTextContent ([in] com::sun::star::text::XTextContent xContent) raises ( com::sun::star::container::NoSuchElementException )
| removes the specified content from the text object.
Public Member Functions inherited from XSimpleText
com::sun::star::text::XTextCursor | createTextCursor ()
com::sun::star::text::XTextCursor | createTextCursorByRange ([in] com::sun::star::text::XTextRange aTextPosition)
void | insertString ([in] com::sun::star::text::XTextRange xRange, [in] string aString, [in] boolean bAbsorb)
| inserts a string of characters into the text.
void | insertControlCharacter ([in] com::sun::star::text::XTextRange xRange, [in] short nControlCharacter, [in] boolean bAbsorb) raises ( com::sun::star::lang::IllegalArgumentException )
| inserts a control character (like a paragraph break or a hard space) into the text.
Public Member Functions inherited from XTextRange
XText | getText ()
XTextRange | getStart ()
XTextRange | getEnd ()
string | getString ()
void | setString ([in] string aString)
| the whole string of characters of this piece of text is replaced.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XParagraphAppend
com::sun::star::text::XTextRange | finishParagraph ([in] com::sun::star::beans::PropertyValues CharacterAndParagraphProperties) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException )
| appends a new and empty paragraph at the end of the text.
com::sun::star::text::XTextRange | finishParagraphInsert ([in] com::sun::star::beans::PropertyValues CharacterAndParagraphProperties, [in] com::sun::star::text::XTextRange TextRange) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException )
| inserts a new and empty paragraph to the text at a given position.
Public Member Functions inherited from XTextPortionAppend
com::sun::star::text::XTextRange | appendTextPortion ([in] string Text, [in] com::sun::star::beans::PropertyValues CharacterAndParagraphProperties) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException )
| appends a new text portion to the paragraph at the end of the text.
com::sun::star::text::XTextRange | insertTextPortion ([in] string Text, [in] com::sun::star::beans::PropertyValues CharacterAndParagraphProperties, [in] com::sun::star::text::XTextRange TextRange) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException )
| inserts a new text portion to the paragraph at a given position.

## Detailed Description

is a meta-interface for manipulating and inserting text.

## Exported Interfaces

## ◆ com::sun::star::text::XParagraphAppend

interface com::sun::star::text::XParagraphAppend

## ◆ com::sun::star::text::XText

interface com::sun::star::text::XText

## ◆ com::sun::star::text::XTextPortionAppend

interface com::sun::star::text::XTextPortionAppend

The documentation for this interface was generated from the following file:

- com/sun/star/text/XTextAppend.idl